Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Interface IGlobalActionHandlerContext

All Known Implementing Classes:
  GlobalActionHandlerContext

    public interface IGlobalActionHandlerContext

Interface for accessing the attributes used to determine the `IGlobalActionHandler`.

Method Summary
`java.lang.String` `getActionId()` Returns the `GlobalActionId`
`IWorkbenchPart` `getActivePart()` Returns the active `IWorkbenchPart`
`java.lang.Class` `getElementType()` Returns an element type within the selection that occured in the active `IWorkbenchPart`
`boolean` `isCompatible()` Returns a boolean to indicate whether a direct match is required for the element type or not.

Method Detail

### getActionId

    java.lang.String getActionId()

  Returns the `GlobalActionId`

  Returns:
    Returns an `String`

### getElementType

    java.lang.Class getElementType()

  Returns an element type within the selection that occured in the active `IWorkbenchPart`

  Returns:
    Returns a `Class`

### getActivePart

    IWorkbenchPart getActivePart()

  Returns the active `IWorkbenchPart`

  Returns:
    Returns the active `IWorkbenchPart`

### isCompatible

    boolean isCompatible()

  Returns a boolean to indicate whether a direct match is required for the element type or not. For a compatible type the element type supported by the provider should be assignable from this context's element type.

  Returns:
    true if compatible is requested, false otherwise (for a direct match)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.